<?php
    if ( !defined('K_COUCH_DIR') ) die(); // cannot be loaded directly

    class MyConfig{
        // routes
        static function register_routes(){
            global $FUNCS;

            $FUNCS->register_route( 'greeting', array(
                'name'=>'edit_view',
                'path'=>'',
                'include_file'=>K_ADDONS_DIR.'config/edit-config.php',
                'class'=> 'MyConfigAdmin',
                'action'=>'greeting',
                'module'=>'config', /* owner module of this route */
            ));

            $FUNCS->register_route( 'dashboard', array(
                'name'=>'edit_view',
                'path'=>'',
                'include_file'=>K_ADDONS_DIR.'config/edit-config.php',
                'class'=> 'MyConfigAdmin',
                'action'=>'dashboard',
                'module'=>'config', /* owner module of this route */
            ));
        }

        // links from sidebar
        static function register_menuitems(){
            global $FUNCS;

            $FUNCS->register_admin_menuitem(
                array(
                    'name'=>'greeting',
                    'title'=>'Greeting',
                    'weight'=>'-10',
                    'icon'=>'chat',
                    'parent'=>'_templates_',
                    'route' => array( 'masterpage'=>'greeting', 'name'=>'edit_view' ),
                )
            );

            $FUNCS->register_admin_menuitem(
                array(
                    'name'=>'dashboard',
                    'title'=>'Dashboard',
                    'weight'=>'-9',
                    'icon'=>'document',
                    'parent'=>'_templates_',
                    'route' => array( 'masterpage'=>'dashboard', 'name'=>'edit_view' ),
                )
            );
        }
    }// end class

    // Register UDFs, event handlers, routes etc.
    // routes
    if( defined('K_ADMIN') ){
        $FUNCS->add_event_listener( 'register_admin_routes', array('MyConfig', 'register_routes') );
        $FUNCS->add_event_listener( 'register_admin_menuitems',  array('MyConfig', 'register_menuitems'), -10 );
    }
